#include "aled.h"  // Indoor Corgi アドレサブルRGB LED制御ライブラリを使用

//----------------------------------------------------------------
// パラメーター設定
//  ここにあるパラメーターを変更してイルミネーションをカスタマイズする

uint16_t ledCountCh1 = 34;  // Ch1のLED数(制御可能な数) 接続しない場合は0
uint16_t ledCountCh2 = 34;  // Ch2のLED数(制御可能な数) 接続しない場合は0
uint16_t ledCountCh3 = 34;  // Ch3のLED数(制御可能な数) 接続しない場合は0
uint16_t ledCountCh4 = 34;  // Ch4のLED数(制御可能な数) 接続しない場合は0
uint16_t ledCountCh5 = 34;  // Ch5のLED数(制御可能な数) 接続しない場合は0
uint8_t repeat = 1;         // 模様の繰り返し回数
bool overwrite = false;     // 1点発光の場合はfalse 塗りつぶしの場合はtrue
float hue = 0.0;            // 基準の色 色相, 0.0 ~ 360.0
float sat = 100.0;          // 基準の色 彩度, 0.0 ~ 100.0
float val = 100.0;          // 基準の色 明るさ, 0.0 ~ 100.0
float moveSpeed = 0.5;      // 移動(回転)スピード, 推奨値 -10.0 ~ 10.0
float colorChangeHue = 2.0;  // 時間とともに基準の色の色相を変化させる量, 推奨値 0.0 - 5.0

//----------------------------------------------------------------

// アドレサブルRGB制御用のALEDクラスを使う
ALED aled(CH1 | CH2 | CH3 | CH4 | CH5, ledCountCh1, ledCountCh2, ledCountCh3, ledCountCh4,
          ledCountCh5);

void setup() {
  // 使うピンを出力に設定
  pinMode(14, OUTPUT);  // チャネル1 Pin14, PC0
  pinMode(15, OUTPUT);  // チャネル2 Pin15, PC1
  pinMode(16, OUTPUT);  // チャネル3 Pin16, PC2
  pinMode(17, OUTPUT);  // チャネル4 Pin17, PC3
  pinMode(18, OUTPUT);  // チャネル5 Pin18, PC4
  pinMode(8, OUTPUT);   // LED

  aled.pattern = overwrite ? ALED::patPoint2 : ALED::patPoint1;
  aled.repeat = repeat;
  aled.color.hue = hue;
  aled.color.sat = sat;
  aled.color.val = val;
  aled.posChange = moveSpeed;
  aled.colorChange.hue = colorChangeHue;
}

void loop() { aled.animation(1000); }
